Koozali.org formerly Contribs.org

Trouble after last update 05-03-2009

Trouble after last update 05-03-2009
« on: March 06, 2009, 02:48:29 PM »
I've update my SME 7.4 with new kernel 2.6.9-78.0.13.ELsmp

After signal-event post-upgrade; signal-event reboot

I've receive some error with zaptel then I've upgrade asterisk with the last rpm :

zaptel-1.4.12.1-54.99.el4
libpri-1.4.9-22.el4
asterisk-1.4.23.1-72.el4
asterisk-addons-1.4.7-21.el4
zaptel-kmdl-2.6.9-78.0.13.ELsmp-1.4.12.1-54.99.el4

sail-2.2.1-718.noarch.rpm

Now asterisk run perfectly with full VOIP (Internal to Internal, External to Internal, Internal to External.) but not with my OpenVox FXO/FXS Cards/A400P.

The card is detected perfectly in admin panel. I've 2 Zap in Trunkline and 2 Zap in Extension. But when I try to make a call with my physical phone I don't have Dial Tone. Or When I receive one external call on My physical Line Asterisk don't display anything in asterisk -rvvvvv

What Must I do or Test ?

Thanks a Lot

Olivier Beeckmans





----------------------------------------------------
Beeckmans Olivier
Belgian Army ICT Technician
I discovered E-Smith with version 4.12
----------------------------------------------------

Offline Franco

  • *
  • 1,171
    • http://contribs.org
Re: Trouble after last update 05-03-2009
« Reply #1 on: March 06, 2009, 02:59:38 PM »
oops! At least I'm not the only one having problems  :shock:

Offline David Harper

  • *
  • 653
  • Watch this space
    • Workgroup Technology Solutions
Re: Trouble after last update 05-03-2009
« Reply #2 on: March 06, 2009, 03:00:37 PM »
AFAIK the version of Asterisk you have installed does not fully support Zaptel any more. You need to downgrade to the RPM at http://sme.david-harper.com/data/sark/asterisk-1.4.21.1-65.el4.i386.rpm for Zaptel to work.

Re: Trouble after last update 05-03-2009
« Reply #3 on: March 06, 2009, 03:30:53 PM »
I've read that Zaptel is replaced by dahdi-tools.

But Sail don't edit /etc/dahdi/system.conf or /etc/asterisk/chan_dahdi.conf

Zaptel don't more survey to the next asterisk 1.6 !

Are you going to update SAIL to allow the use of DAHDI in a near future ?

Thanks a Lot

Olivier beeckmans

----------------------------------------------------
Beeckmans Olivier
Belgian Army ICT Technician
I discovered E-Smith with version 4.12
----------------------------------------------------

Offline David Harper

  • *
  • 653
  • Watch this space
    • Workgroup Technology Solutions
Re: Trouble after last update 05-03-2009
« Reply #4 on: March 06, 2009, 03:32:44 PM »
The plan is for SAIL to move across to DAHDI in the near future. Selintra will be able to provide some idea regarding the timeframe.

In the meantime, you will need to refrain from upgrading Asterisk beyond 1.4.21.

Re: Trouble after last update 05-03-2009
« Reply #5 on: March 06, 2009, 04:00:32 PM »
Remove of dahdi-tools done and downgrade done to asterisk-1.4.21.1-65.el4.i386.rpm

Now My OpenVox Card run fine

It's a good idea to make a warning on http://wiki.contribs.org/Asterisk for those who wish to install ASTERISK or update it !

Thanks a Lot

Olivier Beeckmans
----------------------------------------------------
Beeckmans Olivier
Belgian Army ICT Technician
I discovered E-Smith with version 4.12
----------------------------------------------------

Offline David Harper

  • *
  • 653
  • Watch this space
    • Workgroup Technology Solutions
Re: Trouble after last update 05-03-2009
« Reply #6 on: March 06, 2009, 04:02:24 PM »
Glad to hear that everything is okay again!

All documentation related to SAIL is maintained by Selintra on their external wiki. This situation is temporary and should be resolved soon.